
Foreman - Bug #24961

Host API all_parameters wrong permission authorization check

09/18/2018 08:53 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6076

  

Description

We check this:

  node do |host|

    { :parameters => partial("api/v2/parameters/index", :object => host.host_parameters.authorized

) }

  end

 This makes no sense, must be:

  node do |host|

    { :parameters => partial("api/v2/parameters/index", :object => host.host_parameters.authorized

(:view_params)) }

  end

Associated revisions

Revision b62833ab - 12/17/2018 02:42 PM - Lukas Zapletal

Fixes #24961 - all_params permission check in API fixed

History

#1 - 09/18/2018 08:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6076 added

#2 - 12/17/2018 02:43 PM - Anonymous

- Fixed in Releases 1.21.0 added

#3 - 12/17/2018 03:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset b62833ab1b798aac3770644d6fb87f5f4e26cfdf.
